EvaluationOptions Struct Reference

Options for calculation. More...

`#include <includes.h>`

## Public Attributes

ApproximationMode | approximation
| How exact the result must be. Default: TRY_EXACT.
bool | sync_units
| If units will be synced/converted to allow evaluation (ex. 1 min + 1 s=60 s+ 1 s = 61 s). Default: true.
bool | sync_complex_unit_relations
| If units with complex/non-linear relations (ex. degress celsius and fahrenheit) will synced/converted. Default: true.
bool | keep_prefixes
| If unit prefixes in original expression will be kept. Default: false.
bool | calculate_variables
| If known variables will be replaced by their value. Default: true.
bool | calculate_functions
| If functions will be calculated. Default: true.
int | test_comparisons
| If comparisons will be evaluated (ex. 5>2 => 1). Default: true.
bool | isolate_x
| If a varaible will be isolated to the left side in equations/comparisons (ex. x+y=2 => x=2-y). Default: true.
int | expand
| If factors (and bases) containing addition will be expanded (ex. z(x+y)=zx+zy). Default: true.
bool | combine_divisions
| Use behaviour from version <= 0.9.12 which returns (x+y)/z instead of x/y+y/z if expand = true.
bool | reduce_divisions
| If non-numerical parts of a fraction will be reduced (ex. (5x)/(3xy) =5/(3y) . Default: true.
bool | allow_complex
| If complex numbers will be used for evaluation. Default: true.
bool | allow_infinite
| If infinite numbers will be used for evaluation. Default: true.
int | assume_denominators_nonzero
| If simplification will be made easier by assuming that denominators with unknown value not is zero. Default: false.
bool | warn_about_denominators_assumed_nonzero
| Warn if a denominator with unknown value was assumed non-zero (with assume_denominators_nonzero set to true) to allow simplification. Default: false.
bool | split_squares
| If powers with exponent 1/2 that only have an approximate result will be split to the least base (sqrt(8) = 2 * sqrt(2)). Default: true.
bool | keep_zero_units
| If units with zero quantity will be preserved. Default: true.
AutoPostConversion | auto_post_conversion
| If and how units will be automatically converted. Does not affect syncing of units. Default: POST_CONVERSION_NONE.
MixedUnitsConversion | mixed_units_conversion
| Shows time as h + min + s, imperial length as ft + in, etc. Default: MIXED_UNITS_CONVERSION_DEFAULT.
StructuringMode | structuring
| If the evaluation result will be simplified or factorized Default: STRUCTURING_NONE.
ParseOptions | parse_options
| Options for parsing of expression. Default: default_parse_options.
const MathStructure * | isolate_var
| If set will decide which variable to isolate in an equation. Default: NULL.
bool | do_polynomial_division
| Use polynomial division to simplify the result. Default: true.
MathFunction * | protected_function
| Do not calculate the specified function. Default: NULL.
ComplexNumberForm | complex_number_form
| Complex number form. Default: COMPLEX_NUMBER_FORM_RECTANGULAR.
bool | local_currency_conversion
| Convert to local currency when optimal conversion is enabled.
bool | transform_trigonometric_functions
| Mainly for internal use. Default: true.

## Detailed Description

Options for calculation.

The documentation for this struct was generated from the following file:

- libqalculate/includes.h